
function addAddress() {
    $("#js-pay-add-address").show();
    $("input[name='consignee']").val("");
    $("input[name='address']").val("");
    $("#addrId").val("");
    $("#wx-validator-consignee-required,#wx-validator-mobile-required,#wx-validator-mobile-correct").hide();
    $("#wx-validator-province-error,#wx-validator-city-error,#wx-validator-address-required").hide();
    $("select[name='province']").find("option:first").prop("selected", true);
    $("select[name='city']").find("option:first").prop("selected", true);
}

$(".Js-addr-modify").live('click', function () {
    var id = $(this).parent().attr("data-id");
    wx.sendData(pageInfo.url.get_consignee, "id=" + id, function (data) {
        addAddress();
        $("#addrId").val(id);
        getRegion({ provinceName: data[0].province, cityName: data[0].city });
        $("input[name='consignee']").val(data[0].consignee);
        $("input[name='mobile']").val(data[0].mobile);
        $("input[name='address']").val(data[0].address);
    });
});

$(".Js-addr-del").live('click', function () {
    var id = $(this).parent().attr("data-id");
    var _this = $(this);
    wx.confirm("是否要删除此地址", function () {
        wx.sendData(pageInfo.url.del_consignee, "id=" + id, function (data) {
            wx.alert("删除成功");
            _this.parent().remove();
        });
    });
});

$(".Js-addrList").click(function () {
    $(this).find('input[type="radio"]').prop('checked', true);
    $(this).siblings().removeClass("tr-selectd");
    $(this).addClass('tr-selectd');
    if ($(this).find('input[type="radio"]').hasClass("newAddress")) {
        addAddress();
    } else {
        $("#js-pay-add-address").hide();
    }
});

$(".Js-addrList").hover(function () {
    if ($(".addes").children().length <= 2) {
        $(this).find(".Js-addr-del").hide();
    } else {
        $(this).find(".Js-addr-del").show();
    }
    $(this).find(".Js-addr-modify").show();
}, function () {
    $(this).find(".Js-addr-del").hide();
    $(this).find(".Js-addr-modify").hide();
});

$("#Js-useOther").click(function () {
    $("#Js-otheraddr").show();
    $(this).parent().hide();
})

$("#order-submit").click(function () {
    var memo = $("#memo").val(),
        addrId = $("input[name='address']:checked").parents("tr").attr("data-id")
    option = "";

    var arr = new Array(), isSelectedOption = true;
    var test = $("select[name^='option']").each(function () {
        if ($(this).val() == 0)
            isSelectedOption = false;
        arr.push($(this).val());
    });
    if (arr.length) {
        option = "&option=" + arr.join(",");
    }

    if (!isSelectedOption) {
        wx.alert('请选择回报选项');
        return;
    }

    var is_free = $("#is_free").attr("checked") == "checked" ? 1 : 0;

    wx.sendData(pageInfo.url.submit, "ajax=1&address=" + addrId + "&memo=" + memo + "&item_id=" + pageInfo.itemId + option + "&is_free=" + is_free, function (data) {
        if (data.status) {
            gaTrack('cart', 'createOrder', 'money', parseInt(parseFloat(pageInfo.money) * 100));
            setTimeout(function () { location.href = data.jump; }, 300);
        } else {
            wx.alert(data.info);
        }
    });
})

function address(data) {
    wx.popClose();
    if (data.status == 1) {
        if (data.consignee) {
            $("#Js-addrContent").prepend(wx.template("Js-addrItem", data.consignee));
        } else {
            wx.alert(data.info, function () { location.reload(); });
        }
    }
    else {
        wx.alert(data.info);
    }
}
/* tianxiang 4/12修改 begin */
(function () {
    var morecon = $('.supdtl-cont .pos2 .morecon');
    var moreA = $('.supdtl-cont .pos2 .more');
    /*setTimeout(function(){
		if(morecon.height()>110){
			morecon.css('height',110);
			moreA.css('display','block');
			}
	},200);*/
    if (morecon.height() > 110) {
        morecon.css('height', 110);
        moreA.css({
            'display': 'block',
            'width': 60
        });
    }
    moreA.click(function () {
        if ($(this).text() == "显示全部") {
            morecon.css('height', 'auto');
            $(this).text('收起');
        } else if ($(this).text() == "收起") {
            morecon.css('height', 110);
            $(this).text('显示全部');
        }
    });
})();
/* tianxiang 4/12修改 end */

/*$('.supdtl-cont .pos2 .more').click(function(){
  $('.supdtl-cont .pos2 .morecon').toggleClass('hight-auto');
  if($('.hight-auto').length === 1){
    $(this).text('收起');
  }else{
    $(this).text('显示全部');
  }
});*/
//pay
$("#Js-detailToggle").click(function () {
    $(".order-detail").toggle();
});


$("#Js-select").find("li").click(function () {
    $(".select").removeClass("select");
    $(this).addClass("select");
    $('.sel_bank').val($(this).find('span').attr('value'));
    $('.sel_num').val($(this).find('span').data('payment'));

}).first().addClass("select");

function gopay_before() {
    gaTrack('cart', 'goPay', 'money', parseInt(parseFloat(pageInfo.money) * 100));
    return true;
}


$(function () {
    //muli tab
    var scon = $('.pay-con .pay-row'), stab = $('.pay-head li'), _index;
    scon.first().show()
    stab.click(function () {
        $('.lan').removeClass('lan');
        $(this).addClass('lan');
        scon.hide();
        _index = $(this).index();
        scon.eq(_index).show();
        scon.find('.select').removeClass('select');
        var _diyige = scon.eq(_index).find('li').first();
        _diyige.addClass('select');
        $('.sel_bank').val(_diyige.find('span').attr('value'));
        $('.sel_num').val(_diyige.find('span').data('payment'));
    });

    $("#js-edit-tel").click(function () {
        $("#js-tel-content").show();
        $(this).parent().hide();
    });

})





